Index: /extensions/Mail_supervisor/main.inc.php
===================================================================
--- /extensions/Mail_supervisor/main.inc.php	(revision 9701)
+++ /extensions/Mail_supervisor/main.inc.php	(revision 9702)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: Mail supervisor
-Version: 1.4.4 Beta
+Version: auto
 Description: Mail supervisor surveille l'envoie des mails.
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=315
@@ -9,44 +9,58 @@
 */
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
-if (!defined('MAIL_SUPERV_DIR')) define('MAIL_SUPERV_DIR' , basename(dirname(__FILE__)));
+if (!defined('mail_superv_DIR')) define('mail_superv_DIR' , basename(dirname(__FILE__)));
 if (!defined('MAIL_SUPERV_PATH')) define('MAIL_SUPERV_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');
+$MAIL_SUPERV_PATH_ABS=str_replace('\\','/',dirname(__FILE__) );
+if (!defined('MAIL_SUPERV_PATH_ABS')) define(  'MAIL_SUPERV_PATH_ABS',   $MAIL_SUPERV_PATH_ABS."/");
+global $conf,$mails_options ;
 include_once (MAIL_SUPERV_PATH.'include/constants.php'); 
-
-/* EVENT_HANDLER_PRIORITY_NEUTRAL  */
-
- global $conf ;
-add_event_handler('send_mail', 'clj_mail',EVENT_HANDLER_PRIORITY_NEUTRAL - 1 , 6);
-function clj_mail($result, $mailto, $subject, $content, $headers, $args)
-{
-    global $conf, $user, $lang_info,  $conf_mail,$mails_options,$mails_donnees , $template,$page ,$erreur_message,$infos_message, $lang; 
+include_once(MAIL_SUPERV_PATH.'mail_super.inc.php');
+$mail_supervisor = new mail_supervisor();
+add_event_handler('get_admin_plugin_menu_links', array(&$mail_supervisor,'admin_menu')  );
+
+$mails_options = mail_supervisor::Get_Options($mails_options,"mail_superv");
+/* EVENT_HANDLER_PRIORITY_NEUTRAL  */ 	
+//
+//
+include_once (MAIL_SUPERV_PATH.'include/fonctions.php');  
+//===============loc_begin_index==============loc_after_page_header=============================================================
+add_event_handler('loc_after_page_header',  array(&$mail_supervisor,'init')  );
+add_event_handler('loc_begin_page_tail',  array(&$mail_supervisor,'affiche_message')  );
+
+//==========================================================================================
+add_event_handler('send_mail', 'clj_mail',EVENT_HANDLER_PRIORITY_NEUTRAL - 10, 6);
+function clj_mail($result, $mailto, $subject, $content, $headers, $args) {
+    global $conf, $user, $lang_info;  
+    global $conf_mail,$mails_options,$mails_donnees ;
+    global  $template,$page ,$erreur_message,$infos_message, $lang; 
+    global $errors;
+ 
 	// lecture config table -------------
-	 include_once (MAIL_SUPERV_PATH.'include/fonctions.php'); 
-     load_language('plugin.lang', MAIL_SUPERV_PATH);
-	 
-	 if (isset($_POST["Submit"]) )
-	 {
-	 if ($_POST["Submit"] != l10n('Sv_Envoyer') ) return true ;
-	 }
-	$message ="";
-	if (!isset($infos_message))
-	{
-    	$infos_message = "";
-	}
-if (!isset($erreur_message))
-	{
-    	$erreur_message = '';
-	}	 
-	 $mails_options = explode("," , $conf['mail_superv']);
+	  include_once (MAIL_SUPERV_PATH.'include/fonctions.php'); 
+   load_language('plugin.lang', MAIL_SUPERV_PATH); 
+	 if (isset($_POST["Submit"]) ) {
+	    if ($_POST["Submit"] != l10n('Sv_Envoyer') ) return true ;
+	 }  
+   // remove_event_handler('send_mail', 'pwg_send_mail');
+     
+	   $message ="";
+    if (!isset($infos_message))	{ 	$infos_message = "";	}
+    if (!isset($erreur_message))	{  	$erreur_message = '';	}	 
+   
+   // $mails_options = explode("," , $conf['mail_superv']);
+    $envoie_ok=true ;
 //======== verification si envoie de mail ou blocage connexion =====================
-	if ($mails_options[no_mail_list]=='on' || $mails_options[no_connect] == 'on' )
-	{
-		if (kill_list())
-		 {
-		  $erreur_message .= "<BR />".l10n('Sv_is_a_spam') ;
-		 if ($mails_options[no_connect] == 'on' ){
-		  if ($user['status'] == 'webmaster'  )
-			{  
+
+	if ($mails_options['no_mail_list']=='on' || $mails_options['no_connect'] == 'on' )	{ 
+		if (kill_list()) {
+      $nb_destinataires=0; ;
+      $envoie_ok= false ;
+      $erreur_message .= "<BR />".l10n('Sv_is_a_spam') ;
+      $infos_message = l10n('Sv_mail_not_send')."<BR />"; 
+		   if ($mails_options['no_connect'] == 'on' ){
+		   if ($user['status'] == 'webmaster'  )		{  
 			  //---------- continuer si web master ----------
-			}else{
+
+			  }else{
 				  if (!isset($_GET['admin'])) {
 	  					 die('Blacklist : <br />' .$erreur_message. '<br /> Hacking attempt!');
@@ -55,15 +69,14 @@
 	  					 die('blacklist Hacking attempt!');
 	  				}
-	              return true;
+	             
 			  } 
 			 
 			}
-		 	
-		 }
+
+       	 return true;
+		}
 	}
-	
-
 	// lecture donnees       -------------
-    $mails_donnees = Get_Datas();
+ $mails_donnees = mail_supervisor::Get_Datas();
  
 	$nb_mails	  =	$mails_donnees['nb_mails'] ;
@@ -91,159 +104,134 @@
 	
  
- if ( ( !$alerte  && !$alerte_spam  && !$alerte_mail ) ) 
-  	{
-	     	 
-  $nb_destinataires=0;
-		if ($mails_options[check_mailto] == 'on') {
- 			if ($mailto == "" )	$mailto = $conf_mail['email_webmaster'];
-		}    
- if ($mailto<>"" )            $nb_destinataires +=1; 
-
- 		if (!empty($args['Bcc'])) { $nb_destinataires += count($args['Bcc']); 	} 
-		if (!empty($args['Cc']))  {	$nb_destinataires += count($args['Cc']); 	}
+    if ( ( !$alerte  && !$alerte_spam  && !$alerte_mail ) ) {	     	 
+            $nb_destinataires=0;
+		    if ($mails_options['check_mailto'] == 'on') {
+ 			    if ($mailto == "" )	$mailto = $conf_mail['email_webmaster'];
+		    }    
+            if ($mailto<>"" )            $nb_destinataires +=1; 
+ 		    if (!empty($args['Bcc'])) { $nb_destinataires += count($args['Bcc']); 	} 
+		    if (!empty($args['Cc']))  {	$nb_destinataires += count($args['Cc']); 	}
 
    
-  	$infos_message .= "<hr> Theme :" . ($args['theme'] ) ."<br />";
-    $infos_message .="nombre de destinataire:".$nb_destinataires." <br />" ;
-
-   //================= reecriture de l'entete ===============================
-    $match=array("<",">");
-    $string=array("&lt;","&gt;") ;	
+  	        $infos_message .= "<hr> Theme :" . ($args['theme'] ) ."<br />";
+            $infos_message .="nombre de destinataire:".$nb_destinataires." <br />" ;
+
+           //================= reecriture de l'entete ===============================
+            $match=array("<",">");
+            $string=array("&lt;","&gt;") ;	
   	
-if ( $nb_destinataires  == 1 && $mailto != "" )
-	{   
-    $infos_message .="--> Mailto: " . $mailto." \n" ;
+            if ( $nb_destinataires  == 1 && $mailto != "" )
+	            {   
+                    $infos_message .="--> Mailto: " . $mailto." \n" ;
     
-		if ($mailto != "" ) 
-		  {
-
-                 $mailto  = $mailto ." \n"   ;
-                $headers =  preg_replace('/.*Bcc(.*).\n/i', '', $headers);
-				$headers =  preg_replace('/.*Cc(.*).\n/i', '', $headers);
+		            if ($mailto != "" ) 
+		                {
+
+                            $mailto  = $mailto ." \n"   ;
+                            $headers =  preg_replace('/.*Bcc(.*).\n/i', '', $headers);
+				            $headers =  preg_replace('/.*Cc(.*).\n/i', '', $headers);
                 
 			
-		  }
-     //=============================================================================
+		                }
+                    //=============================================================================
              
             
-                if (!empty($args['Bcc']) ) $infos_message .="Bcc: " . memo_var($args['Bcc']) ." \n";
-                if (!empty($args['Cc']) ) $infos_message .="Cc: " . memo_var($args['Cc'])." \n" ;
-                $infos_message .="Mailto: [" . $mailto . "]"." \n".$headers;             
+                            if (!empty($args['Bcc']) ) $infos_message .="Bcc: " . mail_supervisor::Memo_Var($args['Bcc']) ." \n";
+                            if (!empty($args['Cc']) ) $infos_message .="Cc: " . mail_supervisor::Memo_Var($args['Cc'])." \n" ;
+                            $infos_message .="Mailto: [" . $mailto . "]"." \n".$headers;             
           
-	}else{
-//=== plusieurs destinataires ===========
-$cl_list_mail="";
-
-  if ($mailto !="") $infos_message .="To: " . $mailto . " "." /n" ;     
-        if (!empty($args['Cc'])) {
-        $ret= corrige_header('Cc',$headers,$args,$cl_list_mail);
-          $headers = $ret->headers;
-          $infos_message .="Cc: " .  ( $ret->list_mail)."  <br />" ;
-        }
-        if (!empty($args['Bcc'])){ 
-           $ret	= corrige_header('Bcc',$headers,$args,$cl_list_mail); 
+	            }else{
+                    //=== plusieurs destinataires ===========
+                    $cl_list_mail="";
+
+                    if ($mailto !="") $infos_message .="To: " . $mailto . " "." /n" ;     
+                    if (!empty($args['Cc'])) {
+                    $ret= corrige_header('Cc',$headers,$args,$cl_list_mail);
+                        $headers = $ret->headers;
+                        $infos_message .="Cc: " .  ( $ret->list_mail)."  <br />" ;
+                    }
+                    if (!empty($args['Bcc'])){ 
+                        $ret	= corrige_header('Bcc',$headers,$args,$cl_list_mail); 
           
-           $headers = $ret->headers ;
-           $infos_message .="Bcc: " . ( $ret->list_mail) ."  <br />";
-        }
+                        $headers = $ret->headers ;
+                        $infos_message .="Bcc: " . ( $ret->list_mail) ."  <br />";
+                    }
       
-	$infos_message .=  " " ;
-}
-// $infos_message .= $content ;
-//=============================================================================
-if ($mails_options[check_header_text]=='on')   {
-
-        $texte = "This is a multi-part message in MIME format.\n"; 
-	
-     	$texte .= "-----=".$conf_mail['boundary_key']."\n"; 
-      	$texte .= "Ceci est un message est au format MIME.\n"; 
-       	$texte .= 'Content-Type: text/plain; charset="UTF-8"'."\n"; 
-       	$texte .= 'Content-Transfer-Encoding: 8bit'."\n\n";  
-       	$texte .= $mails_donnees['header_text']; // A voir texte brut...
-	   
-	   	$texte .= "\n\n"; 
-	
-	  	$content =$texte .$content ;
-}
- 
-$ret=false;
-
- 	    //======== Non mise en quarantaine =============
-   		ob_start();
-		$ret = false;
-		 if ($nb_destinataires > 0) {
-		 // corrige erreur 'mail dropped, bare LF found'
-		 $content = str_replace("\n.", "\n..", $content);
-		 $headers = str_replace("\n.", "\n..", $headers);
-		 $subject = str_replace("\n.", "\n..", $subject);
-		 $mailto = str_replace("\n.", "\n..", $mailto);
-   	     $ret = mail($mailto, $subject, $content, $headers);
-	
-			}else{
-			   $message .= l10n('Sv_no_receiver_available');
-			}
- 	  		$message .= ob_get_contents();
-    	    ob_end_clean();
-			$mails_donnees['message']=$message;	
-	 		Gestion_erreurs($message,$ret,$nb_destinataires,$headers,$mailto);
-		
-  	
-	
-	} else {
-
-	//================== Est en quarantaine =======================	
-		$erreur_message .= 	l10n('Sv_To_day_is')."<br />";
-			if ($alerte_spam ) { 
-		        $type="Spams";
-				
-				$d1=$mails_donnees['nb_spams'] . '  \\  ' . $mails_donnees['nb_spams_maxi'];
-				$d2=$mails_donnees['nb_spams'];
- 				$d3= $mails_donnees['rest_spam'];
-				$d4=time()+$d3 ;
- 			} 
- 
-			if ($alerte_mail) {
-		        $type="Mails";
-		        
-				$d1=$mails_donnees['nb_mails']. '  \\  ' . $mails_donnees['nb_mails_maxi'];;
-				$d2=$mails_donnees['date_mail'];
- 				$d3= $mails_donnees['rest_mail'];
-				$d4=time()+$d3 ;
-				
-				
- 			}
-			if ($alerte) {
+	            $infos_message .=  " " ;
+            }
+            // $infos_message .= $content ;
+            //=============================================================================
+            if ($mails_options['check_header_text']=='on')   {
+              $texte = "This is a multi-part message in MIME format.\n"; 	
+              $texte .= "-----=".$conf_mail['boundary_key']."\n"; 
+              $texte .= "Ceci est un message est au format MIME.\n"; 
+              $texte .= 'Content-Type: text/plain; charset="UTF-8"'."\n"; 
+              $texte .= 'Content-Transfer-Encoding: 8bit'."\n\n";  
+              $texte .= $mails_donnees['header_text']; // A voir texte brut...	   
+              $texte .= "\n\n"; 	
+              $content =$texte .$content ;
+            }
+ 
+            $ret=false;
+ 	        //======== Non mise en quarantaine =============
+   		    ob_start();
+		    $ret = false;
+		      if ($nb_destinataires > 0) {
+		         // corrige erreur 'mail dropped, bare LF found'
+		         $content = str_replace("\n.", "\n..", $content);
+		         $headers = str_replace("\n.", "\n..", $headers);
+		         $subject = str_replace("\n.", "\n..", $subject);
+		         $mailto = str_replace("\n.", "\n..", $mailto);
+                if( $envoie_ok)  $ret = mail($mailto, $subject, $content, $headers);
+	
+			  }else{
+			       $message .= l10n('Sv_no_receiver_available');
+			  }
+ 	  		    $message .= ob_get_contents();
+    	        ob_end_clean();
+			    $mails_donnees['message']=$message;	
+	 		    Gestion_erreurs($message,$ret,$nb_destinataires,$headers,$mailto);
+            } else {
+	            //================== Est en quarantaine =======================	
+		        $erreur_message .= 	l10n('Sv_To_day_is')."<br />";
+			    if ($alerte_spam ) { 
+		                $type="Spams";				
+				        $d1=$mails_donnees['nb_spams'] . '  \\  ' . $mails_donnees['nb_spams_maxi'];
+				        $d2=$mails_donnees['nb_spams'];
+ 				        $d3= $mails_donnees['rest_spam'];
+				        $d4=time()+$d3 ;
+ 			    }  
+			    if ($alerte_mail) {
+                    $type="Mails";		        
+                    $d1=$mails_donnees['nb_mails']. '  \\  ' . $mails_donnees['nb_mails_maxi'];;
+                    $d2=$mails_donnees['date_mail'];
+                    $d3= $mails_donnees['rest_mail'];
+                    $d4=time()+$d3 ;
+ 			    }
+			    if ($alerte) {
 		        $type="Spams(Quarantaine)";
-				$d1=$mails_donnees['nb_spams'] . '  \\  ' . $mails_donnees['nb_spams_maxi'];
-				$d2=$mails_donnees['date_quarantaine'];
- 				$d3= $mails_donnees['reste'];
-				$d4=time()+$d3 ;
- 			} 
-
-
-$d2=date(l10n('Sv_formatdate'),$d2);
-$d3=int_to_heure($d3) ;
-$d4=date(l10n('Sv_formatdate'),$d4);
-
-	if ($alerte_mail) {
-	      $erreur_message .='<br />'.sprintf(l10n('Sv_alerte_mail %s %s %s %s %s'),$type,$d1,$d2,$d3,$d4).'<br />';
- 		}else{
-		 	   $erreur_message .='<br />'.sprintf(l10n('Sv_mise_en_quarantaine %s %s %s %s %s'),$type,$d1,$d2,$d3,$d4).'<br />';
-
-		}
- $infos_message .= l10n('Sv_mail_not_send');
- 
- }			
- sauve_donnees();
- return true ;
+				    $d1=$mails_donnees['nb_spams'] . '  \\  ' . $mails_donnees['nb_spams_maxi'];
+				    $d2=$mails_donnees['date_quarantaine'];
+ 				    $d3= $mails_donnees['reste'];
+				    $d4=time()+$d3 ;
+ 			    } 
+            $d2=date(l10n('Sv_formatdate'),$d2);
+            $d3=int_to_heure($d3) ;
+            $d4=date(l10n('Sv_formatdate'),$d4);
+            if ($alerte_mail) {
+	            $erreur_message .='<br />'.sprintf(l10n('Sv_alerte_mail %s %s %s %s %s'),$type,$d1,$d2,$d3,$d4).'<br />';
+            }else{
+		        $erreur_message .='<br />'.sprintf(l10n('Sv_mise_en_quarantaine %s %s %s %s %s'),$type,$d1,$d2,$d3,$d4).'<br />';
+            }
+            $infos_message .= l10n('Sv_mail_not_send'); 
+            }			
+    mail_supervisor::sauve_donnees();
+    mail_supervisor::affiche_message();
+    return true ;
 }
 //===========================================================================================	
-function Gestion_erreurs($message,$ret,$nb_destinataires,$headers,$mailto)
-{			
+function Gestion_erreurs($message,$ret,$nb_destinataires,$headers,$mailto){			
 	 global $conf, $user,  $conf_mail,$mails_options,$mails_donnees , $template,$page ,$infos_message,$erreur_message,$args,$lang, $lang_info; 
-
-	 
-	  
-    $match=array("<",">");
+     $match=array("<",">");
     $string=array("&lt;","&gt;") ;	 
 //Warning: mail() has been disabled for security reasons 
@@ -266,7 +254,5 @@
 	$headers ,
 	$nb_destinataires );
-       //=============== La fonction mail   retourneeune erreur =========================		
-
-				
+       //=============== La fonction mail retourne une erreur =========================		
 				}	
 				
@@ -288,67 +274,9 @@
 						$mails_donnees['date_quarantaine']= time()  ;	
 						$mails_donnees['quarantaine']= true    ;	
-						$infos_message .=memo_var($mails_donnees);
+						$infos_message .= mail_supervisor::Memo_Var($mails_donnees);
 					}
-
  			}
  $ret=true;
- return $ret ;
- 
+ return $ret ; 
 }
-
-//==========================================================================================
-add_event_handler('get_admin_plugin_menu_links', 'admin_menu');
-function admin_menu($menu)
-{
-    array_push($menu, array('NAME' => 'Mail_Superv',
-      'URL' => get_admin_plugin_menu_link(MAIL_SUPERV_PATH . 'admin/mail_superv_admin.php')));
-    return $menu;
-}
-//==========================================================================================
-add_event_handler('loc_after_page_header','affiche_spam' );//
-function affiche_spam ()
-
-{
-include_once (MAIL_SUPERV_PATH.'include/fonctions.php'); 
-
-  affiche_message();
-   
-}
-    include_once (MAIL_SUPERV_PATH.'include/fonctions.php');
-	$mails_options = explode("," , $conf['mail_superv']);
-
-//==========================================================================================
-if ($mails_options[set_id]=='on'  ) {
- add_event_handler('register_user_check', 'Test_spam_g', EVENT_HANDLER_PRIORITY_NEUTRAL +2  , 2);
- }
-function Test_spam_g ($err, $user)
-{
-
-if (count($err)!=0 ) return $err ; 
-if ( !isset($_POST['submit_add']) && !isset($_POST['submit'])  ) return $err ; 
-//Liableelard
-include_once (MAIL_SUPERV_PATH.'include/fonctions.php');
-
-if ( isset($_POST['submit'])) {
-	$mail  =  $_POST['mail_address'] ;
-	$user_name = $_POST['login'] ;
-}else{
-	$mail  = $user['email'];
-	$user_name = $user['username'];
-}
- $user_name =""; // suppression du test sur user name.
- $ip='0'; 
- 
-		if (test_spam($ip,$user_name ,$mail ))
-		 { 
-		 //if (test_spam($ip,$user_name ,"" )) {
-		 // $err[] = $user_name . " ". l10n('Sv_is_a_login_spam')   ;
-		// }else		 
-	  	    $err[] = $user_name . " : " .$mail . " ". l10n('Sv_is_a_spam')   ;
-		 }
-		 
-return $err ; 
-}
-
-
 ?>
Index: /extensions/Mail_supervisor/maintain.inc.php
===================================================================
--- /extensions/Mail_supervisor/maintain.inc.php	(revision 9701)
+++ /extensions/Mail_supervisor/maintain.inc.php	(revision 9702)
@@ -21,34 +21,27 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-if  (!defined('PHPWG_ROOT_PATH'))  
-{
-  die('Hacking attempt!');
-}
+if  (!defined('PHPWG_ROOT_PATH')) {  die('Hacking attempt!');}
 if (!defined('MAIL_SUPERV_PATH')) define('MAIL_SUPERV_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');
  include_once (MAIL_SUPERV_PATH.'include/constants.php');
-
-
-function plugin_install()
-{
-global $conf ;
- if ( !isset($conf['mail_superv']) ) 
- {
+  
+function plugin_install(){
+  global $conf ;
+   if ( !isset($conf['mail_superv']) ){
     plugin_uninstall() ;
-    $query = '
-    INSERT INTO '.CONFIG_TABLE.' (param, value, comment)
-    VALUES ("mail_superv","off,off,off,off,off,on,127.0.0.1,on ,?? ,?? ","Parametres du plugin Mail superviseur")
-    ;';
+    $my_para['check_mailto']="on";
+    $my_para['check_header_carbon']="on";
+    $my_para['check_header_text']="on";
+    $my_para['no_mail_list']="on";
+    $my_para['no_connect']="off";	// empeche l'ip de se connecter au site.
+    $my_para['set_auto']="on";		// Test a l'ouverture et enregistrement 
+    $my_para['ip']="127.0.0.1";		// dernièrre adresse IP
+    $my_para['set_id']="on";		  // enregistrment nouvel  
+    $mails_values=  addslashes(serialize($my_para));
+    $query = 'INSERT INTO '.CONFIG_TABLE.' (param, value, comment)
+    VALUES ("mail_superv", "'.$mails_values.'" ,"Parametres du plugin Mail superviseur");';
     pwg_query($query);
-	//==================================================================
-	
- } 
-
+  } 
 }
-
-
-
-function plugin_uninstall()
-{
-
+function plugin_uninstall(){
     $query = '
       DELETE FROM '.CONFIG_TABLE.'
@@ -58,18 +51,14 @@
     $query = 'DROP TABLE IF EXISTS  '.MAIL_BLACK_LISTE_TABLE.';';
     pwg_query( $query );  
-    $query = 'DROP TABLE IF EXISTS  '.MAIL_SUPERV_TABLE.';';
-    pwg_query( $query);
-   
-  
+    $query = 'DROP TABLE IF EXISTS  '.mail_superv_TABLE.';';
+    pwg_query( $query);  
 }
 
-function plugin_activate()
-{
+function plugin_activate(){
 include_once (MAIL_SUPERV_PATH.'include/fonctions.php'); 
  verif_base() ;
 }
 
-function plugin_deactivate()
-{
+function plugin_deactivate(){
 
 }
